Skip to main content
PATCH
/
api
/
me
/
api-keys
/
{key_id}
/
active
Toggle API Key Active Status
curl --request PATCH \
  --url https://your-domain.com/api/me/api-keys/{key_id}/active \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_active": false
}
'
{
  "id": "<string>",
  "name": "<string>",
  "key_prefix": "<string>",
  "scopes": "<string>",
  "is_active": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "total_requests": 123,
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key (fim_xxx) or JWT token

Path Parameters

key_id
string
required

Body

application/json
is_active
boolean
required

Response

Key status updated

id
string
name
string
key_prefix
string

First 8 characters of the key (fim_****)

scopes
string | null

Comma-separated scopes (chat, agents, kb, connectors, admin)

is_active
boolean
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
total_requests
integer
created_at
string<date-time>